#pragma once

#include "CoreMinimal.h"
#include "GenericTooltipViewData.h"
#include "EEmblemQuality.h"
#include "EmblemProgressionData.h"
#include "EmblemSlotTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FEmblemSlotTooltipViewData : public FGenericTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EEmblemQuality Quality;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText QualityName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CurrentPoints;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int32> ThresholdPoints;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FEmblemProgressionData> ProgressionDetails;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText ProgressionTitle;

public:
	DBDUIVIEWINTERFACES_API FEmblemSlotTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FEmblemSlotTooltipViewData) { return 0; }
